Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Sun, 17 Sep 2023 10:58:11 +0200

Eli Zaretskii <[email-masked]> writes:

>> > What does use-package do when the "package" is "emacs"?  IOW, at what
>> > point in time will the above binding be executed, and what event will
>> > trigger that?
>> 
>> Nothing.  It's sort of an idiom I found on the net for general
>> customizations and so on that don't belong to a particular package.
>> Some people apparently name it "general".
>
> So the above binding of F2 is never executed in your case?  Or else,
> how should I interpret your "Nothing" response to my question about
> the point in time when this binding is executed?

No, sorry for not being clear.  I meant use-package doesn't load a
package, or something like that.  It executes normally, and in
particular, it uses bind-key for the :bind clause, so that F2 gets
bound.